%define upstream_name    Perl-Critic-StricterSubs
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl::Critic plugin for stricter subroutine checks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::PathList)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Perl::Critic)
BuildRequires: perl(Perl::Critic::TestUtils)
BuildRequires: perl(Perl::Critic::Utils)
BuildRequires: perl(Perl::Critic::Violation)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
As a dynamic language, Perl doesn't require you to define subroutines until
run-time. Although this is a powerful feature, it can also be a major
source of bugs. For example, you might mistype the name of a subroutine, or
call a subroutine from another module without including that module or
importing that subroutine. And unless you have very good test coverage, you
might not know about these bugs until you have already launched your code.

The the Perl::Critic::Policy manpage modules in this distribution are aimed
at reducing errors caused by invoking subroutines that are not defined.
Each Policy can be used separately. But when applied together, they enforce
a specific and deliberate coding style that minimizes the chance of writing
code that makes calls to undefined subroutines.

This coding style will not appeal to everyone. Some folks will surely find
this coding style to be too verbose or too restrictive. In particular,
importing via the Exporter manpage tags and pattern matching is purposely
not supported. But hopefully, these Policies will encourage you to
consciously consider the inherent trade-offs of your current coding style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-5.mga8
+ Revision: 1496494
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-4.mga7
+ Revision: 1270504
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1031970
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 967246
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 848577
- update to 0.05

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 745686
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 685934
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 514100
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 371677
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 37190
- mageia rebuild
- imported package perl-Perl-Critic-StricterSubs

